| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Fields
isf_lib_info_t Struct Reference

This structure holds the ISF library information such
as version and part number. More...

`#include <isf.h>`

Collaboration diagram for isf_lib_info_t:

## Data Fields
uint8 | majorVersion
| IPSF library major version number.- dev info cmd encodes this in 8 bits. More...
uint8 | minorVersion
| ISF library minor version number.- dev info cmd encodes this in 8 bits. More...
uint16 | buildCode
| Build code is the 16 bit code returned by the device info command. More...
uint16 | partNumber
| Part number this library is targeted for.- dev info cmd encodes this in 8 bits. More...
uint8 | buildTime [9]
| The time of the ISF build "hh:mm:ss". More...

## Detailed Description

This structure holds the ISF library information such
as version and part number.

Definition at line 90 of file isf.h.

## Field Documentation

uint16 buildCode

Build code is the 16 bit code returned by the device info command.

Definition at line 102 of file isf.h.

Referenced by _fw_device_info_get().

uint8 buildTime[9]

The time of the ISF build "hh:mm:ss".

Definition at line 106 of file isf.h.

uint8 majorVersion

IPSF library major version number.- dev info cmd encodes this in 8 bits.

Definition at line 93 of file isf.h.

Referenced by _fw_device_info_get().

uint8 minorVersion

ISF library minor version number.- dev info cmd encodes this in 8 bits.

Definition at line 95 of file isf.h.

Referenced by _fw_device_info_get().

uint16 partNumber

Part number this library is targeted for.- dev info cmd encodes this in 8 bits.

Definition at line 104 of file isf.h.

Referenced by _fw_device_info_get().

The documentation for this struct was generated from the following file:

- ISF/Core/Include/isf.h

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.